net.sourceforge.jnlp.runtime

## Class ManifestAttributesChecker

- java.lang.Object
- - net.sourceforge.jnlp.runtime.ManifestAttributesChecker

-     public class ManifestAttributesChecker
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManifestAttributesChecker(SecurityDesc security, JNLPFile file, JNLPClassLoader.SigningState signing, JNLPClassLoader.SecurityDelegate securityDelegate)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK>` | `getAttributesCheck()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestAttributesChecker

          public ManifestAttributesChecker(SecurityDesc security,
                                           JNLPFile file,
                                           JNLPClassLoader.SigningState signing,
                                           JNLPClassLoader.SecurityDelegate securityDelegate)
                                    throws LaunchException

      Throws:
        `LaunchException`

  - ### Method Detail

    - #### getAttributesCheck

          public static java.util.List<ManifestAttributesChecker.MANIFEST_ATTRIBUTES_CHECK> getAttributesCheck()

Submit a bug or feature